# Surredo API

The Surredo API enables programmatic access to Surredo in unique and advanced ways. Tap into core elements of Surredo like: Posts, Direct Messages, ~~Spaces~~, ~~Lists~~, users, and more.

### Important terminology

Please understand the terminology of our API before you start using it.

| Title              | Value                                                                                                                                     |                                                                                                                                                                                                                                                    |
| ------------------ | ----------------------------------------------------------------------------------------------------------------------------------------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| API Access URL     | \[YOUR-SITE-URL]/mobile\_api/\[ENDPOINT\_TYPE]                                                                                            | URL address for access to API Must be as shown in the example. E.g. [https://surredo.anight.space/mobile\_api/login](http://surredo.anight.space/api_docs/#)                                                                                       |
| Auth token         | <https://surredo.anight.space/mobile_api?session_id=[YOUR-SESSION-ID]>                                                                    | Most of the user's actions require his authorization, for example, like, or determine whether the user follows some kind of profile, etc. Therefore, we recommend that you always send a user's session on a get request if the user is logged in. |
| API Access key     | [	https://surredo.anight.space/mobile\_api?api\_key=\[YOUR-API-KEY\]](<	https://surredo.anight.space/mobile_api?api_key=\[YOUR-API-KEY]>) | To access the API, the most important point is a unique API key that is specific to each instance of this script.                                                                                                                                  |
| Response data type | {...}                                                                                                                                     | The server response to your API request will be in JSON format                                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://api.surredo.anight.space/surredo-api.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
